# User management

```
data class User(
    val uid: String,
    val name: String,
    val email: String,
    val picture: FileUrl?,
)
```

```
val saveProfilePicture = SaveProfilePicture(args) // args are injected thanks to Koin
saveProfilePicture(byteArray)
```

### Save Profile Picture

Imagine you want to create a ProfileScreen that save picture profile selected via gallery ou camera to the local file system and remote storage:&#x20;

```
class ProfileScreenModel(
    private val saveProfilePicture: SaveProfilePicture,
): ScreenModel {
    fun saveProfilePicture(byteArray) {
        this.saveProfilePicture(byteArray)
    }
}


```

SaveProfilePicture saves in local file system the image then tries to send it to the remote storage.&#x20;

### Control the remote storage

suspend fun putFileAt(localFile: LocalFile, location: String): FileUrl

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appkickstarter.com/features/user-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
